Announcement

Collapse
No announcement yet.

Upgrading and now I don't have a forum anymore. :eek:

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrading and now I don't have a forum anymore. :eek:

    (sorry, I posted this in the other forum... I *think* this is the right forum for upgrade issues)

    I had 2.2.5 running on my forums. I went to one and decided to give upgrading to 2.2.9 a go. I unzipped the archive and uploaded the files to the forums and admin directory. When I tried to run the upgrade20.php file, I got a PAGE NOT FOUND error. I could not continue.

    After backing out from the upgrade, I no longer have a forum I can access.

  • #2
    Did you check and make sure you have the correct vB files in the correct directories?
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      I did. Not sure, but just in case, I again uploaded all the files into the forums and admin directories. And this time I was able to run the upgradeXX.php files and it seemed fine thru the end of upgrade22.

      But I still can't access my forum.


      Warning: Access denied for user: '****@localhost' (Using password: YES)
      Last edited by randychase; Tue 24th Dec '02, 3:28pm.

      Comment


      • #4
        This error means either:

        1. One or more of the following is wrong in your config.php file:

        $dbusername
        $dbpassword
        $dbname

        If you are unsure of what the appropriate values are then you will need to ask your web host.

        2. Or that this db user is not assigned to that database or does not have permission to access MySQL to create a database. You may need to contact your web host for help.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          I think something may be going on regards my ability to access files. And it's dynamic.

          On another forum, I can upgrade thru 2.2.8, but it will not complete upgrade22. And then I could access the index.php and see a 2.2.8 forum, but after a few minutes, I get a database error or page not found.

          I wonder if I am running into another issue that is complicating things, a DNS problem.

          Thanks for replying.

          Comment


          • #6
            You should contact your host about this.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              I had this problem when upgrading once.
              It turned out to be a really stupid mistake on my part.
              I uploaded the default config.php over the one with my connection info in.

              Comment


              • #8
                Originally posted by <v>
                I had this problem when upgrading once.
                It turned out to be a really stupid mistake on my part.
                I uploaded the default config.php over the one with my connection info in.
                I am very capable of doing that, but I have checked.

                I did notice I was leaving the old config.php intact, and there are some differences with the supplied config.php.new file with 2.2.9. I tried changing the new supplied file, but still no go.

                Comment


                • #9
                  Things are not getting better. I have been given the correct database name, user name, and password and it does not help. On another forum, many multiple page threads are not showing posts and I get this error:

                  "Warning: Division by zero in /usr/local/psa/home/vhosts/forum.com/httpdocs/forum/admin/functions.php on line 26"

                  Comment


                  • #10
                    What do you mean 'on another forum'? What is the URL where you are getting this error?

                    The first thing I'd recommend is reuploading the original functions.php file from the vB zip file. Make sure you upload in ASCII and overwrite the one on the server.
                    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                    Change CKEditor Colors to Match Style (for 4.1.4 and above)

                    Steve Machol Photography


                    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                    Comment


                    • #11
                      I own 3 forums. Replacing the php files fixed the divide by zero error, and that forum is now successfully upgraded to 2.2.9 and working fine.

                      The first forum is still dead.

                      Comment


                      • #12
                        Let's start at the beginning:
                        1. What exactly have you done with the first forum?
                        2. What is the URL to this forum?
                        3. And what is the problem you are currently having?
                        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                        Change CKEditor Colors to Match Style (for 4.1.4 and above)

                        Steve Machol Photography


                        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                        Comment


                        • #13
                          I tried to upgrade the forum at: (removed)

                          from 2.2.5 to 2.2.9, mainly to prepare for the upcoming version 3.

                          I ran into a problem where it gave me a "page not found" error when trying to run upgrade20.php. I had to back out of the upgrade. I then had no access to my forum. I tried uploading the php files and then re-upgrading, and it worked. But something else is wrong.

                          I get a page not found error, even though I can see the file. Same with the admin directory.

                          What is odd, is that for a while, I was seeing the index.php file, but getting an error about the database not being able to be accessed from my username and password. I did ask my host and verified I was using the correct name/pw and database name. It still gave me that error message.

                          The links to phpinfo, etc are in the 2nd post from the top.
                          Last edited by randychase; Tue 24th Dec '02, 3:29pm.

                          Comment


                          • #14
                            I have two browser windows open

                            One gives me a page not found message. The other gives me a database error message, that DOES NOT reflect what the CONFIG.PHP file contains.


                            Warning: Access denied for user: '[email protected]' (Using password: YES) in /usr/local/psa/home/vhosts/ibhistory.com/httpdocs/forums/admin/db_mysql.php on line 40

                            Warning: MySQL Connection Failed: Access denied for user: '[email protected]' (Using password: YES) in /usr/local/psa/home/vhosts/ibhistory.com/httpdocs/forums/admin/db_mysql.php on line 40

                            Note, the db user is not Admin
                            Last edited by randychase; Tue 24th Dec '02, 3:30pm.

                            Comment


                            • #15
                              First of all, you started out by saying you ran upgrade20.php. In fact when upgrading from 2.2.5 you are supposed to start out with upgrade19.php and go through each of the subsequent upgrade scripts through upgrade22.php. Did you do this?

                              As for the 'Cannot find server error' this is a server and/or DNS issue. You need to contact your host about this.
                              Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                              Change CKEditor Colors to Match Style (for 4.1.4 and above)

                              Steve Machol Photography


                              Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X